Should we upgrade to StyleCop 4.7?

Jan 10, 2012 at 6:32 PM

Hey guys,

Could please anyone tell whether they need new StyleCop+ version for the latest StyleCop 4.7 release?

As for me, I did not switched to 4.7 yet, and saw lots of issues regarding performance.
I think there will be more 4.7 releases in the nearest future, but if the majority of StyleCop+ users have already upgraded to 4.7 - I will definitely build StyleCop+ over 4.7.

Would be glad to hear your opinions.

Best regards,
Oleg Shuruev

Jan 10, 2012 at 6:36 PM


I meant to create a discussion in StyleCop+ project, but missed the browser tab.

I am so sorry, please feel free to delete this thread if needed.

Jan 10, 2012 at 6:37 PM

No worries. Oleg.

Firstly, StyleCop works with R# 5.1, R#6.0 and R# 6.1.1

So, if you dont need stylecop 6.1 yet install 6.0 and use StyleCop anyway.



Jan 10, 2012 at 6:43 PM

Andy, thanks for the details.

I think I'll try to switch myself to 4.7.4 in a few days.